play_fli(3)

NAME
play_fli - Plays a FLI or FLC animation from disk. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int play_fli(const char *filename, BITMAP *bmp, int loop, int (*callback)());

DESCRIPTION
Plays an Autodesk Animator FLI or FLC animation file on the specified BITMAP, reading the data from disk as it is required. If `loop' is not zero, the player will cycle when it reaches the end of the file, otherwise it will play through the animation once and then return. Read the beginning of chapter "FLIC routines" for a description of the callback parameter. Example:
   /* Let users skip looped animations. */
   int check_escape_key(void)
   {
      if (key[KEY_ESC])
         return 1;
      else
         return 0;
   }
   ...
      int ret = play_fli("animlogo.fli", screen, 1,
                          check_escape_key);
      if (ret == FLI_ERROR)
         abort_on_error("Error playing intro!");

RETURN VALUE
The FLI player returns FLI_OK if it reached the end of the file, FLI_ERROR if something went wrong, and the value returned by the callback function if that was what stopped it.

SEE ALSO
play_memory_fli(3), install_timer(3), fli_frame(3)